getRecommendTemplateList(data?: GetRecommendTemplateListParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.0

Description

Recommended summary template list (up to 6 per category)

Parameters

ParameterTypeRequiredDescription
NoRequest parameters

Return Value

Type: Promise<GetRecommendTemplateListResult>
GetRecommendTemplateListResult

Referenced Types

typeGetRecommendTemplateListResultList of recommended summary templates
CategoryTemplateList[]

Examples

Request example

import { getRecommendTemplateList } from '@tuya-miniapp/cloud-api';

getRecommendTemplateList({})
  .then(response => {
    console.log(response);
  })
  .catch(error => {
    console.error('Failed to get recommended summary templates (up to 6 per category):', error);
  });

Response example

[{
  "nodeName": "Meeting",
  "nodeCode": "meeting",
  "templates": [{ "id": "tpl_1", "templateName": "Meeting minutes", "customize": false }]
}]